package cn.fateverse.query.entity.dto;

import cn.fateverse.query.entity.Table;
import cn.fateverse.query.enums.DynamicSourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 自定义查询表格维护对象 table
 *
 * @author clay
 * @date 2023-07-16
 */
@Data
@ApiModel("自定义查询表格维护Dto")
public class TableDto {

    /**
     * 表id
     */
    @ApiModelProperty("表id")
    private Long tableId;

    /**
     * 数据源id
     */
    @ApiModelProperty("数据源id")
    private Long dataSourceId;

    /**
     * 数据源类型
     */
    @ApiModelProperty("数据源类型")
    private DynamicSourceEnum dataSourceType;

    /**
     * 表格名称
     */
    @ApiModelProperty("表格名称")
    private String tableName;

    /**
     * 表格注释
     */
    @ApiModelProperty("表格注释")
    private String tableComment;

    public Table toTable() {
        return Table.builder()
                .tableId(tableId)
                .dataSourceId(dataSourceId)
                .dataSourceType(dataSourceType)
                .tableName(tableName)
                .tableComment(tableComment)
                .build();
    }
}